## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond check 1
%global debug_package %{nil}

# https://github.com/linuxdeepin/go-lib
%global goipath         github.com/linuxdeepin/go-lib
Version:                6.0.9
%global tag             %{version}

%gometa -L

%global common_description %{expand:
Deepin Golang library is a library containing many useful go routines for things
such as glib, gettext, archive, graphic,etc.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           golang-deepin-go-lib
Release:        %{autorelease}
Summary:        Go bindings for Deepin Desktop Environment development

License:        GPL-3.0-or-later
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  dbus-x11
BuildRequires:  iso-codes
BuildRequires:  mobile-broadband-provider-info
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pam-devel

%if %{with check}
BuildRequires:  pkgconfig(libcanberra)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%ifarch s390x
%gocheck -d procfs -d backlight/display -d gdkpixbuf -d gettext
%else
%gocheck -d procfs -d gdkpixbuf
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 04 2025 topazus <topazus@outlook.com> - 6.0.9-1
- 6.0.9

* Mon Aug 12 2024 Felix Wang <topazus@outlook.com> - 6.0.7-1
- 6.0.7

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 5.8.27-5
- Fix FTBFS

* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 5.8.27-4
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.8.27-1
- New release 5.8.27

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.8.9.2-1
- New release 5.8.9.2 with goipath changed

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 5.8.4-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.8.4-1
- New release 5.8.4

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.7.35-3
- Add missed BR (RHBZ#2045460)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.7.35-1
- New release 5.7.35

* Sun Sep 05 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.7.12-1
- New release 5.7.12

* Tue Aug 03 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.7.10-1
- Release 5.7.10

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 11 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.6.0.9-1
- fix(proxy): 修复应用商店设置系统代理后，代理不生效的BUG。 (chenyunxiong)
- fix(appinfo): 调用 turbo invoker 时错误地修改了文件参数 (electricface)
- fix: deepin-turbo-invoker 进程退出后没有被回收 (electricface)
- perf(appinfo): 优化 startCommand 的内存占用 (electricface)
- fix(appinfo): 使用 turbo invoker 后应用代理失效 (electricface)
- fix(appinfo): 不正确使用 turbo-invoker (electricface)
- chore: debian 目录增加 api.json 文件 (wubowen)
- fix: fix Convey arg error (longqi)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Sep 18 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.6.0.2-1
- new upstream release: 5.6.0.2

* Thu Sep 17 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.6.0.2-4
- new upstream release: 5.6.0.2

* Sat Aug  8 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-4
- Fix build of packages that require this module

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug  5 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-1
- Release 5.0.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 04 18:16:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.2-1
- Release 1.10.2

* Thu May 16 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.9.1-2.20190225git89a0355
- Fix build with late alsa-lib

* Tue Feb 26 2019 mosquito <sensor.wen@gmail.com> - 1.9.1-1.20190225git89a0355
- Update to 1.9.1

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.8.0-1.20190112git594e036
- Update to 1.8.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2.git4d9427f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 12 2018 mosquito <sensor.wen@gmail.com> - 1.6.0-1.20181212git4d9427f
- Update to 1.6.0

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 1.4.0-1.20181129gitd86462c
- Update to 1.4.0

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.3.0-1.20181119gitb199d0d
- Update to 1.3.0

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 1.2.11-1
- Back to 1.2.11

* Thu Aug  2 2018 mosquito <sensor.wen@gmail.com> - 1.2.15-1
- Update to 1.2.15

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 1.2.14-1
- Update to 1.2.14

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 12 2018 mosquito <sensor.wen@gmail.com> - 1.2.4-2
- Disable test suit

* Fri Feb 16 2018 mosquito <sensor.wen@gmail.com> - 1.2.4-1
- Update to 1.2.4

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 20 2017 mosquito <sensor.wen@gmail.com> - 1.2.3-1
- Update to 1.2.3

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Sat Oct 14 2017 mosquito <sensor.wen@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Thu Aug 24 2017 mosquito <sensor.wen@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sun Aug  6 2017 mosquito <sensor.wen@gmail.com> - 1.0.5-2
- Rename to golang-deepin-go-lib

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 1.0.5-1.git3c9791f
- Update to 1.0.5

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 1.0.3-1.gitb084e27
- Update to 1.0.3

* Sun Feb 26 2017 mosquito <sensor.wen@gmail.com> - 0.5.5-1.git01150d5
- Update to 0.5.5

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 0.5.3-1.git44767e8
- Update to 0.5.3

* Sun Jul 12 2015 mosquito <sensor.wen@gmail.com> - 0.3.0-1.git98ac007
- Update to 0.3.0-1.git98ac007

* Mon Sep 29 2014 mosquito <sensor.wen@gmail.com> - 0.0.4git20140928-1
- Initial build

## END: Generated by rpmautospec
